using ESpace.DALibrary.SqlServer;

namespace AVC.Passport.DataEntity
{
	public class Rights : DataEntityBase
	{
		public Rights()
		{
			base.InitMetaData();
		}

		private System.Int32 _RightID;
		public System.Int32 RightID
		{
			get
			{
				return this._RightID;
			}
			set
			{
				this._RightID = value;
				IsChanged = true;
			}
		}

		private System.String _RightName;
		public System.String RightName
		{
			get
			{
				return this._RightName;
			}
			set
			{
				this._RightName = value;
				IsChanged = true;
			}
		}

		private System.Int32 _RightTypeID;
		public System.Int32 RightTypeID
		{
			get
			{
				return this._RightTypeID;
			}
			set
			{
				this._RightTypeID = value;
				IsChanged = true;
			}
		}

		private System.String _SubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return this._SubSystemID;
			}
			set
			{
				this._SubSystemID = value;
				IsChanged = true;
			}
		}

		private System.String _RightDisplayName;
		public System.String RightDisplayName
		{
			get
			{
				return this._RightDisplayName;
			}
			set
			{
				this._RightDisplayName = value;
				IsChanged = true;
			}
		}

		private System.String _RightMemo;
		public System.String RightMemo
		{
			get
			{
				return this._RightMemo;
			}
			set
			{
				this._RightMemo = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return this._CreateTime;
			}
			set
			{
				this._CreateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return this._UpdateTime;
			}
			set
			{
				this._UpdateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _UpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}
	}
}